version: "3.7"

services:
  suflex_evaluation:
    container_name: suflex_evaluation
    build:
      context: .
      dockerfile: Dockerfile
    command: >-
      npm start
    tty: true
    stdin_open: true
    env_file:
      - .env
    volumes:
      - ./:/app
    ports:
      - "8000:8000"
    depends_on:
      - suflex_db

  suflex_db:
    container_name: suflex_db
    image: postgres:12-alpine
    restart: "no"
    volumes:
      - db-data:/var/lib/postgresql/data
    environment:
      - POSTGRES_DB=suflex
      - POSTGRES_USERNAME=postgres
      - POSTGRES_PASSWORD=postgres
    ports:
      - "5432:5432"
volumes:
  db-data:
